Bug 1804596 - [OSP] take into consideration all instance states when deleting a machine
Summary: [OSP] take into consideration all instance states when deleting a machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1798596
Blocks: 1798597 1799034
TreeView+ depends on / blocked
 
Reported: 2020-02-19 08:56 UTC by Milind Yadav
Modified: 2020-08-04 18:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1798596
Environment:
Last Closed: 2020-08-04 18:01:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-openstack pull 89 None closed Bug 1804596: Continue deleting the instance if its ports haven't been destroyed 2020-08-07 09:31:43 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-08-04 18:01:09 UTC

Comment 1 Alberto 2020-02-19 09:04:55 UTC
Hey Milind,
what is this ticket tracking? this seems a dup of https://bugzilla.redhat.com/show_bug.cgi?id=1798596 which is verified?

Comment 2 Alberto 2020-02-19 09:12:37 UTC
I see this is for OSP, I prepend it in the title [OSP]. Thanks.

Comment 3 Martin André 2020-04-23 10:46:23 UTC
It seems to me that this bug doesn't apply to Cluster API Provider OpenStack. We already take into consideration all of machines states when deleting an instance:
https://github.com/openshift/cluster-api-provider-openstack/blob/009ac60/pkg/cloud/openstack/machine/actuator.go#L308-L316

Comment 4 Martin André 2020-04-23 12:47:02 UTC
I might have been a bit to quick to close the BZ. It appears that we're listing the machine interfaces first when deleting a machine and that _might_ cause it to return an error if the machine is not in running status. We'll have to double check.

Did you actually observe leaking instances on OpenStack, or was it created as a clone of the AWS bug assuming it worked the same?

Comment 5 Milind Yadav 2020-04-27 02:30:30 UTC
@Martin Checked on openstack

Comment 9 David Sanz 2020-05-14 10:37:24 UTC
lgtm

verified

Comment 11 errata-xmlrpc 2020-08-04 18:01:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.